summaryrefslogtreecommitdiff
path: root/.local/bin/dwmbar/dwmb-mail
diff options
context:
space:
mode:
authorBenjamin Chausse <benjamin@chausse.xyz>2024-01-08 06:32:43 -0500
committerBenjamin Chausse <benjamin@chausse.xyz>2024-01-08 06:32:43 -0500
commite481a5a8f4773a1e54f1a701fc9a4da08d9970f8 (patch)
treed1a0bc0c95b91c7ef76aa5996116a3769433346d /.local/bin/dwmbar/dwmb-mail
parentf78d3d72ea10c132858f4c07496257a1aafec187 (diff)
Lint dwmblocks scripts
Diffstat (limited to '.local/bin/dwmbar/dwmb-mail')
-rwxr-xr-x.local/bin/dwmbar/dwmb-mail12
1 files changed, 6 insertions, 6 deletions
diff --git a/.local/bin/dwmbar/dwmb-mail b/.local/bin/dwmbar/dwmb-mail
index 3cda519..1d78528 100755
--- a/.local/bin/dwmbar/dwmb-mail
+++ b/.local/bin/dwmbar/dwmb-mail
@@ -4,17 +4,17 @@
# When clicked, brings up `neomutt`.
case $BLOCK_BUTTON in
- 1) setsid -f "$TERMINAL" -e neomutt && mw -Y;;
- 2) setsid -f mw -Y ;;
- 3) notify-send " Mail module" "\- Shows unread mail
+1) setsid -f "$TERMINAL" -e neomutt && mw -Y ;;
+2) setsid -f mw -Y ;;
+3) notify-send " Mail module" "\- Shows unread mail
- Shows  if syncing mail
- Left click opens neomutt
- Middle click syncs mail" ;;
- 6) "$TERMINAL" -e "$EDITOR" "$0" ;;
+6) "$TERMINAL" -e "$EDITOR" "$0" ;;
esac
unread="$(find "${XDG_DATA_HOME:-$HOME/.local/share}"/mail/*/*/new/* -type f | wc -l 2>/dev/null)"
-pidof mbsync >/dev/null 2>&1 && icon=" "
+pidof mbsync >/dev/null 2>&1 && icon=" "
-[ "$unread" = "0" ] && [ "$icon" = "" ] || echo "  $unread $icon"
+[ "$unread" = "0" ] && [ "$icon" = "" ] || echo "  $unread$icon"